API documentation | API docs for agents | OpenAPI 3.1
POST /api/v1/billing/financial-actions/preview
ark.preview_billing_financial_action
Preview Billing Financial Action through the authoritative Billing application boundary.
- Availability
- Expanded preview
- Scopes
loads:readbilling:read- ARK permissions
canViewLoadscanViewBilling- Team visibility
- Required and enforced
- Idempotency-Key
- Not required
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
None.
Request body
reasonstringdefault: "Billing workbench action"; min length: 1; max length: 1000
queueQuickBooksSyncbooleandefault: false
targetsarray<object>requiredmin items: 1; max items: 1
correctionSidestringrequiredone of: ap, ar
effectiveDatestringaccountingDatestringevidenceReferencestring | nullreviewItemIdstringformat: uuid
reviewItemVersionintegermax: 9007199254740991
reconciliationIdstringformat: uuid
reconciliationVersionintegermax: 9007199254740991
correctionEvidenceIdstringformat: uuid
correctionPaymentIdstringformat: uuid
correctionPaymentVersionintegermax: 9007199254740991
actionstringrequiredreconciliationResolutionKindstringone of: stopped_or_superseded, recovered, reclassified, dismissed
correctionAmountMinorstringcorrectionApplicationReversalsarray<object>min items: 1; max items: 100
correctionExpectedObligationVersionsobjectcorrectionDestinationReferencestringmin length: 1; max length: 255
correctionApprovalReferencestringmin length: 1; max length: 255
Example request
Shell
curl -X POST 'https://arktms.com/api/v1/billing/financial-actions/preview' \
-H "Authorization: Bearer $ARK_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"targets": [
{
"obligationId": "<obligationId>",
"expectedWorkflowVersion": 1,
"expectedBalanceVersion": 1
}
],
"correctionSide": "ap",
"reviewItemId": "<reviewItemId>",
"reviewItemVersion": 1,
"reconciliationId": "<reconciliationId>",
"reconciliationVersion": 1,
"correctionEvidenceId": "<correctionEvidenceId>",
"correctionPaymentId": "<correctionPaymentId>",
"correctionPaymentVersion": 1,
"action": "reconciliation.match_payment"
}'Success response
Operation result.
objectstringrequiredokbooleanrequiredapi_versionstringrequiredrequest_idstringrequireddataobjectrequireddata.okbooleanrequireddata.actionstringrequireddata.updatedCountintegerrequiredmin: 0
data.messagestringrequireddata.failuresarray<object>requireddata.resultnull | boolean | number | string | array<any> | objectAction-specific JSON-safe result, including current versions and fingerprints.
Errors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found
HTTP 409- Idempotency conflict or in-progress retry